oracle.adf.view.rich.component.rich

## Class RichMenu

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXPanel
        - - oracle.adf.view.rich.component.rich.PartialRichMenu
          - - oracle.adf.view.rich.component.rich.RichMenu

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class RichMenu
      extends PartialRichMenu

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RichMenu.MenuType`
    `static class` | `RichMenu.RootContainer` There are three menu root container values: NONE - we are not currently in a menu root container MENU_BAR - we are are currently rooted in a menuBar MENU_POPUP - we are currently rooted in a menu popup

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `org.apache.myfaces.trinidad.component.UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AFR_MENU_DEPTH` Expando written for menu item depth level.

    - ### Fields inherited from class oracle.adf.view.rich.component.rich.PartialRichMenu

      `ACCESS_KEY_KEY, CLIENT_ATTRIBUTES_KEY, CLIENT_COMPONENT_KEY, CLIENT_LISTENERS_KEY, COMPONENT_FAMILY, COMPONENT_TYPE, CONTENT_DELIVERY_IMMEDIATE, CONTENT_DELIVERY_KEY, CONTENT_DELIVERY_LAZY, CUSTOMIZATION_ID_KEY, DETACHABLE_KEY, DISABLED_KEY, ICON_DELIVERY_AUTO, ICON_DELIVERY_FETCH_AND_INLINE, ICON_DELIVERY_INLINE, ICON_DELIVERY_KEY, ICON_DELIVERY_REFERENCE, ICON_KEY, INLINE_STYLE_KEY, PARTIAL_TRIGGERS_KEY, SHORT_DESC_KEY, STYLE_CLASS_KEY, TEXT_KEY, TYPE, UNSECURE_KEY, VISIBLE_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RichMenu()` Construct an instance of the RichMenu.
    `protected` | `RichMenu(String rendererType)` Construct an instance of the RichMenu.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `decreaseMenuDepth(javax.faces.context.FacesContext context)` Decrease the depth of the menu.
    `static int` | `getMenuDepth(javax.faces.context.FacesContext context)` Gets the current depth of the menu.
    `static RichMenu.MenuType` | `getMenuType(javax.faces.context.FacesContext context)` Returns the type of menu being rendered
    `static void` | `increaseMenuDepth(javax.faces.context.FacesContext context)` Increase the depth of the menu.
    `static boolean` | `inRootContainer(javax.faces.context.FacesContext context)` Returns true if there is we are currently in a menu root container (menuBar or menu popup)
    `static boolean` | `isInMenu(javax.faces.context.FacesContext context)` Returns true if we are currently in a menu
    `static boolean` | `isPopupMenu(javax.faces.context.FacesContext context)` Returns true if this is a popup menu
    `static boolean` | `isRootContainerMenuBar(javax.faces.context.FacesContext context)` Returns true if menu root container is a menuBar
    `static boolean` | `isRootContainerMenuPopup(javax.faces.context.FacesContext context)` Returns true if menu root container is a menu popup (context menu)
    `static void` | `setMenuDepth(javax.faces.context.FacesContext context, int newDepth)` Sets the current depth of the menu.
    `static void` | `setRootContainer(javax.faces.context.FacesContext context, RichMenu.RootContainer rootContainer)` Set the current menu root container.

    - ### Methods inherited from class oracle.adf.view.rich.component.rich.PartialRichMenu

      `addClientBehavior, getAccessKey, getBeanType, getClientAttributes, getClientBehaviors, getClientListeners, getContentDelivery, getCustomizationId, getDefaultEventName, getEventNames, getFamily, getIcon, getIconDelivery, getInlineStyle, getPartialTriggers, getShortDesc, getStyleClass, getText, getUnsecure, isClientComponent, isDetachable, isDisabled, isVisible, setAccessKey, setClientAttributes, setClientComponent, setClientListeners, setContentDelivery, setCustomizationId, setDetachable, setDisabled, setIcon, setIconDelivery, setInlineStyle, setPartialTriggers, setShortDesc, setStyleClass, setText, setUnsecure, setVisible`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### AFR_MENU_DEPTH

          public static final String AFR_MENU_DEPTH

      Expando written for menu item depth level. Value 1 is not on a menu, and is used to indicate that menu items should be rendered either as bar items or not at all (that is the case for menu popup, where no menu item part of the menu is rendered). Value 2+ means on a menu, like a submenu or a menu item.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RichMenu

          public RichMenu()

      Construct an instance of the RichMenu.

    - #### RichMenu

          protected RichMenu(String rendererType)

      Construct an instance of the RichMenu.
      Parameters:
        `rendererType` - the renderer type.

  - ### Method Detail

    - #### isPopupMenu

          public static boolean isPopupMenu(javax.faces.context.FacesContext context)

      Returns true if this is a popup menu
      Parameters:
        `context` - the FacesContext
      Returns:
        true if this is a popup menu

    - #### isInMenu

          public static boolean isInMenu(javax.faces.context.FacesContext context)

      Returns true if we are currently in a menu
      Parameters:
        `context` - The FacesContext
      Returns:
        true if we are currently in a menu

    - #### getMenuType

          public static RichMenu.MenuType getMenuType(javax.faces.context.FacesContext context)

      Returns the type of menu being rendered
      Parameters:
        `context` - the FacesContext
      Returns:
        the type of menu being rendered

    - #### increaseMenuDepth

          public static void increaseMenuDepth(javax.faces.context.FacesContext context)

      Increase the depth of the menu. This should be done in setup/tearDown encoding context to make sure it is called during ppr and ppr optimization.
      Parameters:
        `context` - The FacesContext

    - #### decreaseMenuDepth

          public static void decreaseMenuDepth(javax.faces.context.FacesContext context)

      Decrease the depth of the menu.
      Parameters:
        `context` - The FacesContext

    - #### getMenuDepth

          public static int getMenuDepth(javax.faces.context.FacesContext context)

      Gets the current depth of the menu.
      Parameters:
        `context` - The FacesContext
      Returns:
        the current depth of the menu

    - #### setMenuDepth

          public static void setMenuDepth(javax.faces.context.FacesContext context,
                                          int newDepth)

      Sets the current depth of the menu. During initial rendering, you shouldn't be using this method but should instead use the increaseMenuDepth and decreaseMenuDepth methods. This method is needed to set menu depth during a ppr.
      Parameters:
        `context` - the FacesContext
        `newDepth` - the depth to set the menu

    - #### isRootContainerMenuBar

          public static boolean isRootContainerMenuBar(javax.faces.context.FacesContext context)

      Returns true if menu root container is a menuBar
      Parameters:
        `context` - The FacesContext
      Returns:
        true if menu root container is a menuBar

    - #### isRootContainerMenuPopup

          public static boolean isRootContainerMenuPopup(javax.faces.context.FacesContext context)

      Returns true if menu root container is a menu popup (context menu)
      Parameters:
        `context` - The FacesContext
      Returns:
        true if menu root container is a menu popup

    - #### setRootContainer

          public static void setRootContainer(javax.faces.context.FacesContext context,
                                              RichMenu.RootContainer rootContainer)

      Set the current menu root container. This should be done in setup/tearDown encoding context to make sure it is called during ppr and ppr optimization.
      Parameters:
        `context` - The FacesContext
        `rootContainer` - new root container

    - #### inRootContainer

          public static boolean inRootContainer(javax.faces.context.FacesContext context)

      Returns true if there is we are currently in a menu root container (menuBar or menu popup)
      Parameters:
        `context` - The FacesContext
      Returns:
        true if we are currently in a menu root container (menuBar or menu popup)

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.